Subject: Re: bug#79322: file name transforms inconsistencies

From: Gabriel do Nascimento Ribeiro <[email-masked]>
Date: Sat, 30 Aug 2025 18:06:15 +0000

Hi Eli,

> The reason for the warning was an incorrect :type of the defcustom,
> which didn't take this option into account; I've now fixed that on the
> master branch.

Thank you.

What about 'backup-directory-alist', does it support secure-hash or would be
feasible to make it so?

> You could use
>
>   (setopt auto-save-file-name-transforms '((".*"  "~/.auto-saves/" t)))
>
> instead, no?  Using UNIQUIFY of nil is not recommended, as the doc
> string says.

Yes, I agree that UNIQUIFY nil is not recommended.  My point is regarding users
setting it to nil (for whatever reason) and not getting a warning.  If this user
option accepts UNIQUIFY nil, it should not warn.  In this case, my suggestion is
to fix the defcustom :type.

---
Gabriel